Rivet::Spherocity Class Reference

Get the transverse spherocity scalars for hadron-colliders. More...

`#include <Spherocity.hh>`

Inheritance diagram for Rivet::Spherocity:

## Public Member Functions

| Spherocity (const FinalState &fsp)
| Constructor.
virtual const Projection * | clone () const
| Clone on the heap.
double | spherocity () const
const Vector3 & | spherocityAxis () const
const Vector3 & | spherocityMajorAxis () const
| The spherocity major axis (axis of max spherocity perpendicular to spherocity axis).
const Vector3 & | spherocityMinorAxis () const
| The spherocity minor axis (axis perpendicular to spherocity and spherocity major).
const Vector3 & | axis1 () const
| AxesDefinition axis accessors.
const Vector3 & | axis2 () const
| The 2nd most significant ("major") axis.
const Vector3 & | axis3 () const
| The least significant ("minor") axis.
Direct methods
Ways to do the calculation directly, without engaging the caching system
void | calc (const FinalState &fs)
| Manually calculate the spherocity, without engaging the caching system.
void | calc (const vector< Particle > &fsparticles)
| Manually calculate the spherocity, without engaging the caching system.
void | calc (const vector< FourMomentum > &fsmomenta)
| Manually calculate the spherocity, without engaging the caching system.
void | calc (const vector< Vector3 > &threeMomenta)
| Manually calculate the spherocity, without engaging the caching system.
Public Member Functions inherited from Rivet::AxesDefinition
virtual | ~AxesDefinition ()
| Virtual destructor.
Public Member Functions inherited from Rivet::Projection
bool | before (const Projection &p) const
virtual const std::set< PdgIdPair > | beamPairs () const
virtual std::string | name () const
| Get the name of the projection.
Projection & | addPdgIdPair (PdgId beam1, PdgId beam2)
| Add a colliding beam pair.
Log & | getLog () const
| Get a Log object based on the getName() property of the calling projection object.
void | setName (const std::string &name)
| Used by derived classes to set their name.
| Projection ()
| The default constructor.
virtual | ~Projection ()
| The destructor.
Public Member Functions inherited from Rivet::ProjectionApplier
| ProjectionApplier ()
| Constructor.
std::set< ConstProjectionPtr > | getProjections () const
| Get the contained projections, including recursion.
template<typename PROJ >
const PROJ & | getProjection (const std::string &name) const
| Get the named projection, specifying return type via a template argument.
const Projection & | getProjection (const std::string &name) const
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const PROJ &proj) const
| Apply the supplied projection on event.
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const Projection &proj) const
| Apply the supplied projection on event.
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const std::string &name) const
| Apply the named projection on event.

## Protected Member Functions

void | project (const Event &e)
| Perform the projection on the Event.
int | compare (const Projection &p) const
| Compare projections.
Protected Member Functions inherited from Rivet::Projection
Cmp< Projection > | mkNamedPCmp (const Projection &otherparent, const std::string &pname) const
Cmp< Projection > | mkPCmp (const Projection &otherparent, const std::string &pname) const
Protected Member Functions inherited from Rivet::ProjectionApplier
Log & | getLog () const
ProjectionHandler & | getProjHandler () const
| Get a reference to the ProjectionHandler for this thread.
template<typename PROJ >
const PROJ & | addProjection (const PROJ &proj, const std::string &name)

## Detailed Description

Get the transverse spherocity scalars for hadron-colliders.

Author
  Holger Schulz

The scalar (maximum) transverse spherocity is defined as

, with the direction of the unit vector which maximises being identified as the spherocity axis. The unit vector which maximises the spherocity scalar in the plane perpendicular to is the "spherocity major" direction, and the vector perpendicular to both the spherocity and spherocity major directions is the spherocity minor. Both the major and minor directions have associated spherocity scalars.

Care must be taken in the case of Drell-Yan processes - there we should use the newly proposed observable .

## Member Function Documentation

## spherocity()

double Rivet::Spherocity::spherocity | ( |  | ) | const

inline

Spherocity scalar accessors The spherocity scalar, , (minimum spherocity).

Referenced by calc().

## spherocityAxis()

const Vector3& Rivet::Spherocity::spherocityAxis | ( |  | ) | const

inline

Spherocity axis accessors The spherocity axis.

Referenced by axis1().

The documentation for this class was generated from the following files:

- include/Rivet/Projections/Spherocity.hh
- src/Projections/Spherocity.cc